/**************************************************************************/
/* GF72 ( 登録ボタン状態テーブル )                                        */
/*                                                                        */
/* Created : 2009/12/16 19:47:04                                          */
/**************************************************************************/
CREATE TABLE GF72 (
   SYSTEM_ID  VARCHAR(10)                 NOT NULL                  /* 10  システムID   */
 , ADDRESS    VARCHAR(256)                                          /* 20  アドレス     */
 , PRE_FIX    VARCHAR(10)                 NOT NULL                  /* 25  名前空間     */
 , FILENAME   VARCHAR(30)                                           /* 30  ファイル名   */
 , FILEPATH   VARCHAR(256)                                          /* 40  ファイルパス */
 , MODIFIED   VARCHAR(14)                                           /* 50  最終更新日   */
 , TAGNAME    VARCHAR(30)                                           /* 60  タグ名称     */
 , TO_GAMENID VARCHAR(30)                                           /* 70  先画面ID     */
 , HREF       VARCHAR(256)                                          /* 80  リンク先URL  */
 , TARGET     VARCHAR(10)                                           /* 90  ターゲット   */
 , P_KEYS     VARCHAR(500)                                          /* 100 引数キー     */
 , P_VALS     VARCHAR(500)                                          /* 110 引数値       */
 , COMMAND    VARCHAR(30)                                           /* 120 コマンド     */
 , LBLCD      VARCHAR(30)                                           /* 130 ラベルコード */
 , MSGCD      VARCHAR(20)                                           /* 140 メッセージID */
 , ONCLICK    VARCHAR(200)                                          /* 150 イベント     */
 , ROLES      VARCHAR(500)                                          /* 160 ロールズ     */
 , FGOMIT     VARCHAR(1)      DEFAULT '0' NOT NULL                  /* 170 除外フラグ   */
 , UNIQ       BIGINT                      NOT NULL PRIMARY KEY      /* 800 ユニークキー */
 , FGJ        VARCHAR(1)      DEFAULT '1' NOT NULL                  /* 810 状態フラグ   */
 , DYSET      VARCHAR(14)                                           /* 820 登録日時     */
 , PGSET      VARCHAR(10)                                           /* 830 作成PG       */
 , PGPSET     VARCHAR(10)                                           /* 840 作成親PG     */
 , USRSET     VARCHAR(10)                                           /* 850 作成社員     */
 , DYUPD      VARCHAR(14)                                           /* 860 更新日時     */
 , PGUPD      VARCHAR(10)                                           /* 870 更新PG       */
 , PGPUPD     VARCHAR(10)                                           /* 880 更新親PG     */
 , USRUPD     VARCHAR(10)                                           /* 890 更新者       */
);

CREATE SEQUENCE GF72S01 ;


CREATE TRIGGER GF72T01 FOR GF72
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF72S01,1 );
  END; 


