/**************************************************************************/
/* GF92 ( 画面項目定義テーブル )                                          */
/*                                                                        */
/* Created : 2009/12/16 19:47:04                                          */
/**************************************************************************/
CREATE TABLE GF92 (
   SYSTEM_ID   VARCHAR(10)                                           /* 10  システムID     */
 , PGID        VARCHAR(30)                 NOT NULL                  /* 20  PG-ID          */
 , NMSYORI     VARCHAR(100)                                          /* 30  処理グループ名 */
 , SEQ         NUMERIC(7)      DEFAULT 0   NOT NULL                  /* 40  順             */
 , CLM         VARCHAR(30)                                           /* 50  項目           */
 , KBACCS      VARCHAR(1)                                            /* 60  KBACCS         */
 , MUST        VARCHAR(10)                                           /* 70  必須           */
 , DEFAULT_VAL VARCHAR(100)                                          /* 80  デフォルト値   */
 , TABLE_NAME  VARCHAR(50)                 NOT NULL                  /* 90  テーブル名     */
 , ZOKUSEI     VARCHAR(500)                                          /* 100 属性（桁数）   */
 , SETU        VARCHAR(500)                                          /* 110 項目説明       */
 , UNIQ        BIGINT                      NOT NULL PRIMARY KEY      /* 120 ユニークキー   */
 , FGJ         VARCHAR(1)      DEFAULT '1' NOT NULL                  /* 130 状態フラグ     */
 , DYSET       VARCHAR(14)                                           /* 140 登録日時       */
 , PGSET       VARCHAR(10)                                           /* 150 作成PG         */
 , PGPSET      VARCHAR(10)                                           /* 160 作成親PG       */
 , USRSET      VARCHAR(10)                                           /* 170 作成社員       */
 , DYUPD       VARCHAR(14)                                           /* 180 更新日時       */
 , PGUPD       VARCHAR(10)                                           /* 190 更新PG         */
 , PGPUPD      VARCHAR(10)                                           /* 200 更新親PG       */
 , USRUPD      VARCHAR(10)                                           /* 210 更新者         */
);

CREATE SEQUENCE GF92S01 ;


CREATE TRIGGER GF92T01 FOR GF92
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF92S01,1 );
  END; 


